diff --git a/tests/p_gzip/10-test-binaries b/tests/p_gzip/10-test-binaries
index cd67acb..29435d3 100755
--- a/tests/p_gzip/10-test-binaries
+++ b/tests/p_gzip/10-test-binaries
@@ -1,5 +1,6 @@
 #!/bin/bash
 # Author: Iain Douglas <centos@1n6.org.uk>
+# Author: Rene Diepstraten <rene@renediepstraten.nl>
 #
 # Check the binaries from the package exist and run ok
 
@@ -8,11 +9,11 @@ function ExitFail {
     exit $FAIL
 }
 
-[ $centos_ver != '6' ] && exit
-t_Log "Checking binaries are present and run on C6"
+[[ $centos_ver =~ ^6|7$ ]] || exit
+t_Log "Checking binaries are present and run on C7"
 
-[ "$(readlink -e /usr/bin/gunzip)" == "/bin/gunzip" ] || ExitFail
-[ "$(readlink -e /usr/bin/gzip)" == "/bin/gzip" ] || ExitFail
+[ "$(readlink -e /usr/bin/gunzip)" == "/usr/bin/gunzip" ] || ExitFail
+[ "$(readlink -e /usr/bin/gzip)" == "/usr/bin/gzip" ] || ExitFail
 
 for binary in gunzip gzip zcat gzexe zcmp zdiff zegrep zfgrep zforce zgrep zless zmore znew
 do
diff --git a/tests/p_gzip/20-gzip-test b/tests/p_gzip/20-gzip-test
index 055331e..d7bf553 100755
--- a/tests/p_gzip/20-gzip-test
+++ b/tests/p_gzip/20-gzip-test
@@ -2,6 +2,7 @@
 # Author: Athmane Madjoudj <athmanem@gmail.com>
 # Author: Christoph Galuschka <christoph.galuschka@chello.at>
 # Author: Iain Douglas <centos@1n6.org.uk>
+# Author: Rene Diepstraten <rene@renediepstraten.nl>
 
 function ExitFail {
     t_Log "FAIL"
@@ -65,7 +66,7 @@ t_Log "Check -a is ignored as we're on CentOS"
 if [ $centos_ver == '5' ]
   then
   gunzip -a $FILE.gz 2>&1 | head -n 1 | grep  -q 'gunzip: option --ascii ignored on this system' || ExitFail
-elif [ $centos_ver == '6' ]
+elif [[ $centos_ver =~ ^(6|7)$ ]]
   then
   gunzip -a $FILE.gz 2>&1 | head -n 1 | grep  -q 'gzip: option --ascii ignored on this system' || ExitFail
 fi